---
page_title: Bank Info API
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/bank-info-api
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fbank-info-api
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Bank Info API



This API is used to verify if the IFSC is valid## Endpoints:
- Sandbox: https://sandbox.juspay.in/bank-info

- Production: https://api.juspay.in/bank-info

## Request Type: 
GET

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
- Value: Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location 'https://api.juspay.in/bank-info?ifsc=HDFC0000053' \
--header 'Authorization: Basic NTNBRTgXXXXXXXXXXXXXXXXXXUQ0QjI2M0RBOg=='
```

### Sample Response:

#### 200 Response:
```plaintext
{
    "last_updated": 1676545956,
    "ifsc": "HDFC0000053",
    "metadata": {
        "rtgs": true,
        "imps": true,
        "iso3166": "IN-KA",
        "swift": true,
        "neft": true,
        "upi": true,
        "micr": "560240004"
    },
    "contact_number": "+919945863333",
    "date_created": 1676545956,
    "state": "KARNATAKA",
    "bank_name": "HDFC Bank",
    "address": "NO.9, ETERNAKORAMANGLA INDUSTRIAL LAYOUTKORAMANGLABANGALOREKARNATAKA560095",
    "juspay_bank_code": "JP_HDFC",
    "district": "BANGALORE URBAN",
    "branch": "BANGALORE - KORAMANGALAM"
}
```

#### 404 Response:
```plaintext
{
    "error_type": "INVALID_REQUEST_ERROR",
    "code": "INVALID_REQUEST",
    "message": "Bank details not found",
    "user_message": "Bank details not found",
    "session_id": "ff511c4b-f4f4-44de-86fa-0e128d020017",
    "error_info": {
        "code": "RESOURCE_NOT_FOUND",
        "category": "USER_ERROR",
        "href": "NA",
        "request_id": "ff511c4b-f4f4-44de-86fa-0e128d020017",
        "user_message": "Bank details not found",
        "developer_message": "Bank details not found"
    }
}
```

## Query Parameters:

#### ifsc:
IFSC Code of the Bank
- Value: HDFC0000675
- Tags: String, Required
## API Responses:
### 200:

#### last_updated:
- Description: Timestamp when the information was last updated
- Value: 1676545957
- Tags: String

#### ifsc:
- Description: IFSC Code of the Bank
- Value: HDFC0000675
- Tags: String

#### metadata:
- Value:
  - **Rtgs**:
    - Description: Support for RTGS
    - Value: true
    - Tags: Boolean
  - **Imps**:
    - Description: Support for IMPS
    - Value: true
    - Tags: Boolean
  - **Iso3166**:
    - Value: IN-TN
    - Tags: String
  - **Swift**:
    - Description: Support for Swift
    - Value: true
    - Tags: Boolean
  - **Neft**:
    - Description: Support for NEFT
    - Value: true
    - Tags: Boolean
  - **Upi**:
    - Description: Support for UPI
    - Value: true
    - Tags: Boolean
  - **Micr**:
    - Description: MICR Value
    - Value: 600240028
    - Tags: String
- Tags: Object

#### contact_number:
- Value: +919840673333
- Tags: String

#### date_created:
- Description: Date Created
- Value: 1676545957
- Tags: String

#### state:
- Description: State Name
- Value: TAMIL NADU
- Tags: String

#### bank_name:
- Value: HDFC Bank
- Tags: String

#### address:
- Value: CENTRE POINT, NO. 221 AND 222, LLOYDS ROAD, GOPALAPURAM CHENNAI TAMILNADU 600086
- Tags: String

#### juspay_bank_code:
- Description: Juspay specific bank ocde
- Value: JP_HDFC
- Tags: String

#### district:
- Value: CHENNAI
- Tags: String

#### branch:
- Description: Branch Name
- Value: CHENNAI - GOPALAPURAM
- Tags: String
### 404:

#### error_type:
- Value: INVALID_REQUEST_ERROR
- Tags: String

#### code:
- Value: INVALID_REQUEST
- Tags: String

#### message:
- Value: Bank details not found
- Tags: String

#### user_message:
- Value: Bank details not found
- Tags: String

#### session_id:
- Value: e1bd012b-0fe2-4f4c-a6fc-32856c01d09d
- Tags: String

#### error_info:
- Value:
  - **Code**:
    - Value: RESOURCE_NOT_FOUND
    - Tags: String
  - **Category**:
    - Value: USER_ERROR
    - Tags: String
  - **Href**:
    - Value: NA
    - Tags: String
  - **Request_id**:
    - Value: e1bd012b-0fe2-4f4c-a6fc-32856c01d09d
    - Tags: String
  - **User_message**:
    - Value: Bank details not found
    - Tags: String
  - **Developer_message**:
    - Value: Bank details not found
    - Tags: String
- Tags: Object


---

## See Also

- [Mandate Flow](https://juspay.io/in/docs/api-reference/docs/express-checkout/mandate-flow)
- [Create Order - Mandate](https://juspay.io/in/docs/api-reference/docs/express-checkout/create-order--mandate)
